# ConversionServiceFactory class final

Utility class for registering a set of converters with a ConverterRegistry.

This is used to bulk-register multiple converter objects, whether they implement Converter, ConverterFactory, or PairedConverter.

All converters are matched by type and registered accordingly. If any object in the provided set does not implement one of the recognized interfaces, an IllegalArgumentException is thrown.

### 🔧 Example

    final registry = DefaultConverterRegistry();
    ConversionServiceFactory.registerConverters({
      StringToIntConverter(),
      StringToDateTimeConverter(),
      StringToEnumConverterFactory(),
      MyGenericConverter(),
    }, registry);

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Static Methods

registerConverters(Set? converters, ConverterRegistry registry) → void
  Utility class for registering a set of converters with a ConverterRegistry.